## yasm 1.3.0

=== cmake/CMakeLists.txt ===
ADD_SUBDIRECTORY(modules)

=== frontends/CMakeLists.txt ===
ADD_SUBDIRECTORY(yasm)
ADD_SUBDIRECTORY(tasm)
ADD_SUBDIRECTORY(vsyasm)

=== libyasm/CMakeLists.txt ===
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

ADD_LIBRARY(libyasm
    assocdat.c
    bitvect.c
    bc-align.c
    bc-data.c
    bc-incbin.c
    bc-org.c
    bc-reserve.c
    bytecode.c
    cmake-module.c
    errwarn.c
    expr.c
    file.c
    floatnum.c
    hamt.c
    insn.c
    intnum.c
    inttree.c
    linemap.c
    md5.c
    mergesort.c
    phash.c
    section.c
    strcasecmp.c
    strsep.c
    symrec.c
    valparam.c
    value.c
    xmalloc.c
    xstrdup.c
    )
IF(BUILD_SHARED_LIBS)
    SET_TARGET_PROPERTIES(libyasm PROPERTIES
        OUTPUT_NAME "yasm"
        COMPILE_FLAGS -DYASM_LIB_SOURCE
        )
ELSE(BUILD_SHARED_LIBS)
    SET_TARGET_PROPERTIES(libyasm PROPERTIES
        COMPILE_FLAGS -DYASM_LIB_SOURCE
        )
ENDIF(BUILD_SHARED_LIBS)

INSTALL(TARGETS libyasm
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    )

INSTALL(FILES
    arch.h
    assocdat.h
    bitvect.h
    bytecode.h
    compat-queue.h
    coretype.h
    dbgfmt.h
    errwarn.h
    expr.h
    file.h
    floatnum.h
    hamt.h
    insn.h
    intnum.h
    inttree.h
    linemap.h
    listfmt.h
    md5.h
    module.h
    objfmt.h
    parser.h
    phash.h
    preproc.h
    section.h
    symrec.h
    valparam.h
    value.h
    DESTINATION include/libyasm
    )

=== modules/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

INCLUDE(arch/CMakeLists.txt)
INCLUDE(listfmts/CMakeLists.txt)
INCLUDE(parsers/CMakeLists.txt)
INCLUDE(preprocs/CMakeLists.txt)
INCLUDE(dbgfmts/CMakeLists.txt)
INCLUDE(objfmts/CMakeLists.txt)

MESSAGE(STATUS "Standard modules: ${YASM_MODULES}")

#
# Generate init_plugin.c
# This file provides the yasm_init_plugin() function for yasmstd.
#

SET(INIT_PLUGIN_C ${CMAKE_CURRENT_BINARY_DIR}/init_plugin.c)
SET(INIT_PLUGIN_C_REV 1)

# Don't regen if no changes; default to regen
SET(regen_init_plugin_c TRUE)
IF(EXISTS ${INIT_PLUGIN_C})
    FILE(READ ${INIT_PLUGIN_C} _old_init_plugin_c)
    STRING(REGEX MATCHALL "[^\n]*\n" _lines "${_old_init_plugin_c}")
    #MESSAGE(STATUS "Lines: ${_lines}")

    LIST(GET _lines 0 _line0)
    STRING(REGEX MATCH "([A-Za-z][A-Za-z0-9_]+[ ]?)+" _old_modules "${_line0}")
    #MESSAGE(STATUS "Old modules: ${_old_modules}")
    STRING(REPLACE ";" " " _modules_str "${YASM_MODULES}")
    STRING(COMPARE EQUAL "${_old_modules}" "${_modules_str} " _modules_match)

    LIST(GET _lines 1 _line1)
    STRING(REGEX MATCH "rev [0-9]+" _old_modules_rev "${_line1}")
    #MESSAGE(STATUS "Old modules rev: ${_old_modules_rev}")
    STRING(COMPARE EQUAL "${_old_modules_rev}" "rev ${INIT_PLUGIN_C_REV}"
           _modules_rev_match)

    IF(_modules_match AND _modules_rev_match)
        SET(regen_init_plugin_c FALSE)
    ENDIF(_modules_match AND _modules_rev_match)
ENDIF(EXISTS ${INIT_PLUGIN_C})

IF(regen_init_plugin_c)
    MESSAGE(STATUS "Generating standard plugin initialization file")
    STRING(REPLACE ";" " " _modules_str "${YASM_MODULES}")
    FILE(WRITE ${INIT_PLUGIN_C} "/* ${_modules_str} \n")
    FILE(APPEND ${INIT_PLUGIN_C} "   rev ${INIT_PLUGIN_C_REV}\n")
    FILE(APPEND ${INIT_PLUGIN_C} " */\n\n")
    FILE(APPEND ${INIT_PLUGIN_C} "#include <libyasm.h>\n")
    FILE(APPEND ${INIT_PLUGIN_C} "#include <libyasm/module.h>\n\n")
    FOREACH(module ${YASM_MODULES})
        STRING(REGEX MATCHALL "[a-zA-Z][a-zA-Z0-9]+" _modulepath ${module})
        LIST(GET _modulepath 0 _type)
        LIST(GET _modulepath 1 _keyword)
        FILE(APPEND ${INIT_PLUGIN_C}
             "extern yasm_${_type}_module yasm_${_keyword}_LTX_${_type};\n")
    ENDFOREACH(module)
    IF(BUILD_SHARED_LIBS)
        FILE(APPEND ${INIT_PLUGIN_C} "\n#ifdef _MSC_VER\n")
        FILE(APPEND ${INIT_PLUGIN_C} "__declspec(dllexport)\n")
        FILE(APPEND ${INIT_PLUGIN_C} "#endif\n")
    ENDIF(BUILD_SHARED_LIBS)
    FILE(APPEND ${INIT_PLUGIN_C} "void\n")
    FILE(APPEND ${INIT_PLUGIN_C} "yasm_init_plugin(void)\n")
    FILE(APPEND ${INIT_PLUGIN_C} "{\n")
    FOREACH(module ${YASM_MODULES})
        STRING(REGEX MATCHALL "[a-zA-Z][a-zA-Z0-9]+" _modulepath ${module})
        LIST(GET _modulepath 0 _type)
        LIST(GET _modulepath 1 _keyword)
        SET(_data "yasm_${_keyword}_LTX_${_type}")
        STRING(TOUPPER "${_type}" _type)
        FILE(APPEND ${INIT_PLUGIN_C}
             "    yasm_register_module(YASM_MODULE_${_type}, \"${_keyword}\", &${_data});\n")
    ENDFOREACH(module)
    FILE(APPEND ${INIT_PLUGIN_C} "}\n") 
ELSE(regen_init_plugin_c)
    MESSAGE(STATUS "Not regenerating static modules file (unchanged)")
ENDIF(regen_init_plugin_c)

SET_SOURCE_FILES_PROPERTIES(init_plugin.c GENERATED)

SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR})

IF(BUILD_SHARED_LIBS)
    ADD_LIBRARY(yasmstd MODULE
        init_plugin.c
        ${YASM_MODULES_SRC}
        )
    TARGET_LINK_LIBRARIES(yasmstd libyasm)

    IF(WIN32)
        INSTALL(TARGETS yasmstd LIBRARY DESTINATION bin)
    ELSE(WIN32)
        INSTALL(TARGETS yasmstd LIBRARY DESTINATION lib)
    ENDIF(WIN32)
ELSE(BUILD_SHARED_LIBS)
    ADD_LIBRARY(yasmstd
        init_plugin.c
        ${YASM_MODULES_SRC}
        )
    TARGET_LINK_LIBRARIES(yasmstd libyasm)
ENDIF(BUILD_SHARED_LIBS)

=== frontends/tasm/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${yasm_SOURCE_DIR}/frontends/yasm
    )

ADD_CUSTOM_COMMAND(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/license.c
    COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/frontends/yasm/genstring.py
        license_msg
        ${CMAKE_CURRENT_BINARY_DIR}/license.c
        ${CMAKE_SOURCE_DIR}/COPYING
    MAIN_DEPENDENCY ${CMAKE_SOURCE_DIR}/COPYING
    DEPENDS ${CMAKE_SOURCE_DIR}/frontends/yasm/genstring.py
    )

SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR})

IF(BUILD_SHARED_LIBS)
    ADD_EXECUTABLE(ytasm
        tasm.c
        tasm-options.c
        ${yasm_SOURCE_DIR}/frontends/yasm/yasm-plugin.c
        )
    TARGET_LINK_LIBRARIES(ytasm libyasm ${LIBDL})
ELSE(BUILD_SHARED_LIBS)
    ADD_EXECUTABLE(ytasm
        tasm.c
        tasm-options.c
        )
    TARGET_LINK_LIBRARIES(ytasm yasmstd libyasm)
ENDIF(BUILD_SHARED_LIBS)

SET_SOURCE_FILES_PROPERTIES(tasm.c PROPERTIES
    OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/license.c
    )

INSTALL(TARGETS ytasm RUNTIME DESTINATION bin)

=== modules/arch/CMakeLists.txt ===
INCLUDE(arch/lc3b/CMakeLists.txt)
INCLUDE(arch/x86/CMakeLists.txt)

=== modules/listfmts/CMakeLists.txt ===
INCLUDE(listfmts/nasm/CMakeLists.txt)

=== modules/parsers/CMakeLists.txt ===
INCLUDE(parsers/gas/CMakeLists.txt)
INCLUDE(parsers/nasm/CMakeLists.txt)

=== modules/preprocs/CMakeLists.txt ===
INCLUDE(preprocs/nasm/CMakeLists.txt)
INCLUDE(preprocs/raw/CMakeLists.txt)
INCLUDE(preprocs/cpp/CMakeLists.txt)
INCLUDE(preprocs/gas/CMakeLists.txt)

=== modules/arch/lc3b/CMakeLists.txt ===
YASM_RE2C(
    ${CMAKE_CURRENT_SOURCE_DIR}/arch/lc3b/lc3bid.re
    ${CMAKE_CURRENT_BINARY_DIR}/lc3bid.c
    -s
    )

YASM_ADD_MODULE(arch_lc3b
    arch/lc3b/lc3barch.c
    arch/lc3b/lc3bbc.c
    lc3bid.c
    )

=== modules/dbgfmts/dwarf2/CMakeLists.txt ===
YASM_ADD_MODULE(dbgfmt_dwarf2
    dbgfmts/dwarf2/dwarf2-dbgfmt.c
    dbgfmts/dwarf2/dwarf2-line.c
    dbgfmts/dwarf2/dwarf2-aranges.c
    dbgfmts/dwarf2/dwarf2-info.c
    )

=== modules/dbgfmts/null/CMakeLists.txt ===
YASM_ADD_MODULE(dbgfmt_null
    dbgfmts/null/null-dbgfmt.c
    )

## yasm 1.2.0-1ea1

=== debian/changelog ===
yasm (1.2.0-1ea1) fremantle; urgency=low

  * New upstream release.

 -- Ersin Akinci <ersin.akinci@gmail.com>  Fri,  6 Jan 2012 22:12:25 -0600

yasm (0.7.1-0maemo1) fremantle; urgency=low

  * Packaged for Maemo Fremantle.

 -- Murray Cumming <murrayc@openismus.com>  Sat,  1 Aug 2009 00:24:32 +0200

yasm (0.7.1-0ubuntu2) jaunty; urgency=low

  * Add YASM support from versions 0.7.0-2 and 0.7.0-3 in Debian.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 25 Nov 2008 13:20:09 +0100

yasm (0.7.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #243460)
  * Apply debian-maintiner-feild spec
  * Bumped standards version to 3.8.0 (no change)

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 12 Jul 2008 08:16:01 -0400

yasm (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #440528).

  * debian/control:
    + Set policy to 3.7.3.
  * debian/dirs:
    + Do not ship an empty /usr/lib/yasm.
  * debian/rules:
    + Don't ignore make distclean errors.
  * debian/watch:
    + Adapt the watch file to upstream's reorganisation (Closes: #449757).

  * debian/patches/020_multiple_may_be_zero.diff:
    + Patch was applied upstream. Dropping it.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 02 May 2008 13:50:49 +0200

yasm (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 26 Jun 2007 18:03:23 +0200

yasm (0.5.0-2) unstable; urgency=low

  * debian/patches/020_multiple_may_be_zero.diff:
    + New patch to fix a potential SIGFPE, courtesy of Jérémie Corbier
      <jcorbier@ubuntu.com> (Closes: #415911).

  * debian/control:
    + Added Vcs fields.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Mar 2007 13:29:44 +0200

yasm (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Re-added claim of GAS support in package description.

  * debian/patches/020_overflow.diff:
    + Patch was applied upstream. Removed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 19 Jul 2006 15:08:35 +0200

yasm (0.4.0-4) unstable; urgency=low

  * Switched patch management to quilt.

  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.
    + Removed claim of GAS and TASM support until they are really supported
      (Closes: #365783). It is a bit awkward to advertise "multiple" syntaxes
      support, but well, 0.5.0 will solve that.
  * debian/rules:
    + Add a call to dh_makeshlibs.

  * debian/patches/010_config_sub_guess.diff:
    + New patch from old diff.gz -- update config.sub and config.guess.

  * debian/patches/020_overflow.diff:
    + New patch from old diff.gz -- fix memory corruption error in genmacro.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 26 May 2006 14:02:27 +0200

yasm (0.4.0-3) unstable; urgency=low

  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Nov 2005 14:09:38 +0100

yasm (0.4.0-2) unstable; urgency=low

  * modules/preprocs/nasm/genmacro.c:
    + Fixed an off-by-one memory corruption error in genmacro that was
      causing build issues (Closes: #332518).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 14 Oct 2005 23:04:30 +0200

yasm (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #329321).
  * Updated config/config.{sub|guess}.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:21:11 +0200

=== debian/control ===
Source: yasm
Section: devel
Priority: optional
Maintainer: Ersin Akinci <ersin.akinci@gmail.com>
XSBC-Original-Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0.0), quilt, bison, gettext, xmlto, python
Standards-Version: 3.8.0
XS-Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/yasm
XS-Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/yasm/

Package: yasm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular assembler with multiple syntaxes support
 Yasm is a complete rewrite of the NASM assembler. It supports multiple
 assembler syntaxes (eg, NASM, GAS, etc.) in addition to multiple
 output object formats (binary objects, COFF, Win32, ELF32, ELF64) and
 even multiple instruction sets (including AMD64). It also has an
 optimiser module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	LDFLAGS="$(LDFLAGS) -Wl,-z,defs" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/yasm
	rm -f $(CURDIR)/debian/yasm/usr/lib/libyasm.so
	rm -f $(CURDIR)/debian/yasm/usr/lib/libyasm.a
	rm -f $(CURDIR)/debian/yasm/usr/lib/libyasm.la
	rm -f $(CURDIR)/debian/yasm/usr/lib/yasm/*.a
	rm -f $(CURDIR)/debian/yasm/usr/lib/yasm/*.la
	rmdir $(CURDIR)/debian/yasm/usr/lib || true
	cp debian/overrides $(CURDIR)/debian/yasm/usr/share/lintian/overrides/yasm

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman debian/tasm.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## yasm 1.3.0

=== debian/changelog ===
yasm (1.3.0-8) unstable; urgency=medium

  * QA upload.

  * Added 1020-hash-null-CVE-2021-33456.patch (Closes: #1119172).
  * Updated d/watch file format to version 5.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 28 Oct 2025 02:40:00 +0500

yasm (1.3.0-7) unstable; urgency=medium

  * QA upload.

  * Added 1000-x86-dir-cpu-CVE-2023-29579.patch to solve crash bug
    (Closes: #1035951).
  * Added 1010-nasm-pp-no-env-CVE-2021-33464.patch to solve crash bug
    (Closes: #1016353).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Apr 2025 07:59:59 +0200

yasm (1.3.0-6) unstable; urgency=medium

  * QA upload.

  * Switched d/watch to current github repository.
  * Switched homepage in d/control to https://github.com/yasm/yasm/
    while https://www.tortall.net/projects/yasm/ is dead.
  * Added 000-gcc-15.patch to fix GCC 15 build problem
    (Closes: #1098187).
  * Disabled non-working parallel build (Closes: #1103250).
  * Updated Standards-Version from 4.7.0 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Apr 2025 23:48:47 +0200

yasm (1.3.0-5) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Switched project home URL to https.
  * Switched to debhelper compat level 12.
  * Removed template text from d/watch.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Apr 2024 00:19:50 +0200

yasm (1.3.0-4) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Vcs.

 -- Bastian Germann <bage@debian.org>  Wed, 14 Dec 2022 15:47:35 +0100

yasm (1.3.0-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1011573)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 06:39:57 -0300

yasm (1.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/autoconf.patch: Apply upstream patch to fix build failure
    (Closes: #997338)
  * debian/control: Build-Depend on python3. (Closes: #943303)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 May 2022 08:36:44 +0200

yasm (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python2. Closes: #967234.
  * Mark yasm as M-A: foreign. Closes: #981877.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Mar 2021 10:44:35 +0100

yasm (1.3.0-2) unstable; urgency=medium

  * 100_ytasm_parsing_error.diff: fix more bugs in argument parsing.

 -- Sam Hocevar <sho@debian.org>  Sun, 03 May 2015 22:15:47 +0200

yasm (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #770184).
  * Upgrade to debhelper 9 because it’s so much more concise.
  * 100_ytasm_parsing_error.diff: new patch fixing an argument parsing
    bug in ytasm (Closes: #716639).

 -- Sam Hocevar <sho@debian.org>  Sun, 03 May 2015 16:37:12 +0200

yasm (1.2.0-2) unstable; urgency=medium

  * debian/rules: update config.{sub,guess} at build time (Closes: #725948).
  * debian/patches/010_config_sub_guess.diff: dropped; this file is no
    longer required.
  * debian/docs: do not ship extra license files.
  * debian/control: update standards version; no changes required.

 -- Sam Hocevar <sho@debian.org>  Sun, 18 May 2014 23:06:53 +0200

yasm (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Tue, 15 Jan 2013 21:05:07 +0100

yasm (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #582282).
  * 010_config_sub_guess.diff: update config.sub and config.guess to much
    more recent versions.

 -- Sam Hocevar <sho@debian.org>  Fri, 10 Jun 2011 01:05:23 +0200

yasm (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #531047).
  * Removed all tasm patches, they’ve been merged upstream.
  * debian/control: set debhelper dependency to 5.0 and policy to 3.8.2.
  * debian/control: mention TASM in the long description.
  * debian/compat: set debhelper level to 5.
  * debian/links: link tasm to ytasm and tasm.1.gz to ytasm.1.gz.

 -- Sam Hocevar <sho@debian.org>  Tue, 14 Jul 2009 08:23:59 +0000

yasm (0.7.0-3) unstable; urgency=high

  * debian/control: build-depend on Python in order to re-run gen_x86_insn.py
    at build time. This fixes the TASM support, thanks to Samuel Thibault
    (Closes: #502238, #396291).

 -- Sam Hocevar <sho@debian.org>  Wed, 15 Oct 2008 22:04:21 +0000

yasm (0.7.0-2) unstable; urgency=high

  * 010_config_sub_guess.diff:
    + Update config.sub and config.guess.

  * 020_yasm_tasm_build.diff 200_yasm_tasm_source.diff:
    + New patch to add TASM support to YASM, thanks to the wonderful work of
      Samuel Thibault <samuel.thibault@ens-lyon.org> (Closes: #396291).
  * 210_yasm_tasm_fixes.diff:
    + Minor fixes to the above patch by Sam Hocevar.

  * 100_rebootstrap.diff:
    + Rebootstrap package because of the TASM patch.

  * debian/control:
    + Set policy to 3.8.0.
    + Add a Homepage: field.
    + Rename XS-Vcs-* fields to Vcs-*.

  * debian/tasm.1:
    + Wrote a minimalist manpage for the tasm front-end.

 -- Sam Hocevar <sho@debian.org>  Fri, 10 Oct 2008 08:25:19 +0000

yasm (0.6.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Tue, 26 Jun 2007 18:03:23 +0200

=== debian/control ===
Source: yasm
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), bison, gettext, xmlto, python3
Standards-Version: 4.7.2
Homepage: https://github.com/yasm/yasm/
Vcs-Browser: https://salsa.debian.org/debian/yasm
Vcs-Git: https://salsa.debian.org/debian/yasm.git
Rules-Requires-Root: no

Package: yasm
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular assembler with multiple syntaxes support
 Yasm is a complete rewrite of the NASM assembler. It supports multiple
 assembler syntaxes (eg, NASM, GAS, TASM, etc.) in addition to multiple
 output object formats (binary objects, COFF, Win32, ELF32, ELF64) and
 even multiple instruction sets (including AMD64). It also has an
 optimiser module.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install
	rm -f debian/yasm/usr/bin/vsyasm
	rm -rf debian/yasm/usr/lib

=== debian/watch ===
Version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: yasm
Project: yasm
